function onTalk()
    if getFlag("ChallengeActive_"..arguments) then
        disableMovement()
        playSound("event:/game/01_forsaken_city/birdbros_thrust")
        setFlag("flash", true)
        say("GREENcontest25_grog_greendust")
        enableMovement()
        
        
    end
end

function onEnd(room, wasSkipped)
    setFlag("ChallengeCompleted_"..arguments, true)
    setFlag("ChallengeActive_"..arguments, false)

    engine.Scene.Session:SetCounter('challengeTimer', 0)
    enableMovement()
end